{
  "name": "student-enrollment",
  "version": "1.0.0",
  "description": "Sistema de Registro de Estudiantes - Inter Rapidísimo",
  "scripts": {
    "ng": "ng",
    "start": "ng serve",
    "build": "ng build",
    "watch": "ng build --watch --configuration development",
    "test": "ng test",
    "test:e2e": "playwright test",
    "test:e2e:ui": "playwright test --ui",
    "test:e2e:headed": "playwright test --headed",
    "lint": "ng lint",
    "codegen": "graphql-codegen --config codegen.ts",
    "codegen:watch": "graphql-codegen --config codegen.ts --watch"
  },
  "private": true,
  "dependencies": {
    "@angular/animations": "21.0.7",
    "@angular/cdk": "21.0.5",
    "@angular/common": "21.0.7",
    "@angular/compiler": "21.0.7",
    "@angular/core": "21.0.7",
    "@angular/forms": "21.0.7",
    "@angular/material": "21.0.5",
    "@angular/platform-browser": "21.0.7",
    "@angular/platform-browser-dynamic": "21.0.7",
    "@angular/router": "21.0.7",
    "@apollo/client": "^4.0.1",
    "apollo-angular": "^13.0.0",
    "graphql": "^16.10.0",
    "rxjs": "~7.8.1",
    "tslib": "^2.8.1",
    "zone.js": "~0.15.0"
  },
  "devDependencies": {
    "@angular-devkit/build-angular": "21.0.5",
    "@angular-eslint/builder": "21.1.0",
    "@angular-eslint/eslint-plugin": "21.1.0",
    "@angular-eslint/eslint-plugin-template": "21.1.0",
    "@angular-eslint/schematics": "21.1.0",
    "@angular-eslint/template-parser": "21.1.0",
    "@angular/cli": "21.0.5",
    "@angular/compiler-cli": "21.0.7",
    "@graphql-codegen/cli": "^6.1.0",
    "@graphql-codegen/typescript": "^5.0.7",
    "@graphql-codegen/typescript-apollo-angular": "^4.0.1",
    "@graphql-codegen/typescript-operations": "^5.0.7",
    "@playwright/test": "^1.57.0",
    "@types/jasmine": "~5.1.4",
    "@typescript-eslint/eslint-plugin": "^8.52.0",
    "@typescript-eslint/parser": "^8.52.0",
    "eslint": "^9.39.2",
    "jasmine-core": "~5.4.0",
    "karma": "~6.4.4",
    "karma-chrome-launcher": "~3.2.0",
    "karma-coverage": "~2.2.1",
    "karma-jasmine": "~5.1.0",
    "karma-jasmine-html-reporter": "~2.1.0",
    "typescript": "^5.9.0-beta"
  }
}
